Skip to content

# Class: PodsApi

Renderer.K8sApi.PodsApi

## Hierarchy

- KubeApi<Pod>

↳ PodsApi

## Table of contents

### Constructors

- constructor

### Properties

- apiBase
- apiGroup
- apiPrefix
- apiResource
- apiVersion
- apiVersionPreferred
- isNamespaced
- kind
- objectConstructor
- options
- request
- resourceVersions
- watchDisposer

### Accessors

- apiVersionWithGroup

### Methods

- checkPreferredVersion
- create
- delete
- get
- getLogs
- getResourceVersion
- getUrl
- getWatchUrl
- list
- modifyWatchEvent
- normalizeQuery
- parseResponse
- refreshResourceVersion
- setResourceVersion
- update
- watch

## Constructors

### constructor

• new PodsApi(`options`)

#### Parameters

Name | Type
--- | ---
`options` | `IKubeApiOptions`<Pod>

#### Inherited from

KubeApi.constructor

## Properties

### apiBase

• `Readonly` apiBase: `string`

#### Inherited from

KubeApi.apiBase

### apiGroup

• `Readonly` apiGroup: `string`

#### Inherited from

KubeApi.apiGroup

### apiPrefix

• `Readonly` apiPrefix: `string`

#### Inherited from

KubeApi.apiPrefix

### apiResource

• `Readonly` apiResource: `string`

#### Inherited from

KubeApi.apiResource

### apiVersion

• `Readonly` apiVersion: `string`

#### Inherited from

KubeApi.apiVersion

### apiVersionPreferred

• `Optional` `Readonly` apiVersionPreferred: `string`

#### Inherited from

KubeApi.apiVersionPreferred

### isNamespaced

• `Readonly` isNamespaced: `boolean`

#### Inherited from

KubeApi.isNamespaced

### kind

• `Readonly` kind: `string`

#### Inherited from

KubeApi.kind

### objectConstructor

• objectConstructor: `KubeObjectConstructor`<Pod>

#### Inherited from

KubeApi.objectConstructor

### options

• `Protected` options: `IKubeApiOptions`<Pod>

#### Inherited from

KubeApi.options

### request

• `Protected` request: `KubeJsonApi`

#### Inherited from

KubeApi.request

### resourceVersions

• `Protected` resourceVersions: `Map`<string, string>

#### Inherited from

KubeApi.resourceVersions

### watchDisposer

• `Protected` watchDisposer: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

KubeApi.watchDisposer

## Accessors

### apiVersionWithGroup

• `get` apiVersionWithGroup(): `string`

#### Returns

`string`

## Methods

### checkPreferredVersion

▸ `Protected` checkPreferredVersion(): `Promise`<void>

#### Returns

`Promise`<void>

#### Inherited from

KubeApi.checkPreferredVersion

### create

▸ create(`__namedParameters?`, `data?`): `Promise`<Pod>

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `Object`
`__namedParameters.name` |
`__namedParameters.namespace` |
`data?` | `Partial`<Pod>

#### Returns

`Promise`<Pod>

#### Inherited from

KubeApi.create

### delete

▸ delete(`__namedParameters`): `Promise`<KubeJsonApiData>

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `Object`

#### Returns

`Promise`<KubeJsonApiData>

#### Inherited from

KubeApi.delete

### get

▸ get(`__namedParameters?`, `query?`): `Promise`<Pod>

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `Object`
`__namedParameters.name` |
`__namedParameters.namespace` |
`query?` | `IKubeApiQueryParams`

#### Returns

`Promise`<Pod>

#### Inherited from

KubeApi.get

### getLogs

▸ getLogs(`params`, `query?`): `Promise`<string>

#### Parameters

Name | Type
--- | ---
`params` | `Object`
`params.name` | `string`
`params.namespace` | `string`
`query?` | `IPodLogsQuery`

#### Returns

`Promise`<string>

### getResourceVersion

▸ getResourceVersion(`namespace?`): `string`

#### Parameters

Name | Type | Default value
--- | --- | ---
`namespace` | `string` | ""

#### Returns

`string`

#### Inherited from

KubeApi.getResourceVersion

### getUrl

▸ getUrl(`__namedParameters?`, `query?`): `string`

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `Object`
`__namedParameters.name` |
`__namedParameters.namespace` |
`query?` | `Partial`<IKubeApiQueryParams>

#### Returns

`string`

#### Inherited from

KubeApi.getUrl

### getWatchUrl

▸ getWatchUrl(`namespace?`, `query?`): `string`

#### Parameters

Name | Type | Default value
--- | --- | ---
`namespace` | `string` | ""
`query` | `IKubeApiQueryParams` | {}

#### Returns

`string`

#### Inherited from

KubeApi.getWatchUrl

### list

▸ list(`__namedParameters?`, `query?`): `Promise`<Pod[]>

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `KubeApiListOptions`
`query?` | `IKubeApiQueryParams`

#### Returns

`Promise`<Pod[]>

#### Inherited from

KubeApi.list

### modifyWatchEvent

▸ `Protected` modifyWatchEvent(`event`): `void`

#### Parameters

Name | Type
--- | ---
`event` | `IKubeWatchEvent`<KubeJsonApiData>

#### Returns

`void`

#### Inherited from

KubeApi.modifyWatchEvent

### normalizeQuery

▸ `Protected` normalizeQuery(`query?`): `Partial`<IKubeApiQueryParams>

#### Parameters

Name | Type
--- | ---
`query` | `Partial`<IKubeApiQueryParams>

#### Returns

`Partial`<IKubeApiQueryParams>

#### Inherited from

KubeApi.normalizeQuery

### parseResponse

▸ `Protected` parseResponse(`data`, `namespace?`): Pod | Pod[]

#### Parameters

Name | Type
--- | ---
`data` | `unknown`
`namespace?` | `string`

#### Returns

Pod | Pod[]

#### Inherited from

KubeApi.parseResponse

### refreshResourceVersion

▸ refreshResourceVersion(`params?`): `Promise`<Pod[]>

#### Parameters

Name | Type
--- | ---
`params?` | `KubeApiListOptions`

#### Returns

`Promise`<Pod[]>

#### Inherited from

KubeApi.refreshResourceVersion

### setResourceVersion

▸ setResourceVersion(`namespace?`, `newVersion`): `void`

#### Parameters

Name | Type | Default value
--- | --- | ---
`namespace` | `string` | ""
`newVersion` | `string` | `undefined`

#### Returns

`void`

#### Inherited from

KubeApi.setResourceVersion

### update

▸ update(`__namedParameters?`, `data?`): `Promise`<Pod>

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `Object`
`__namedParameters.name` |
`__namedParameters.namespace` |
`data?` | `Partial`<Pod>

#### Returns

`Promise`<Pod>

#### Inherited from

KubeApi.update

### watch

▸ watch(`opts?`): () => `void`

#### Parameters

Name | Type
--- | ---
`opts` | `KubeApiWatchOptions`

#### Returns

`fn`

▸ (): `void`

##### Returns

`void`

#### Inherited from

KubeApi.watch